PERFORCE change 126944 for review

Peter Wemm peter at FreeBSD.org
Fri Sep 28 14:04:24 PDT 2007


http://perforce.freebsd.org/chv.cgi?CH=126944

Change 126944 by peter at peter_daintree on 2007/09/28 21:04:05

	IFC @126942

Affected files ...

.. //depot/projects/hammer/UPDATING#106 integrate
.. //depot/projects/hammer/etc/defaults/rc.conf#79 integrate
.. //depot/projects/hammer/etc/rc.d/Makefile#55 integrate
.. //depot/projects/hammer/etc/rc.d/nscd#4 integrate
.. //depot/projects/hammer/lib/libc/gen/Makefile.inc#30 integrate
.. //depot/projects/hammer/lib/libutil/expand_number.3#2 integrate
.. //depot/projects/hammer/lib/libutil/flopen.3#3 integrate
.. //depot/projects/hammer/lib/libutil/humanize_number.3#8 integrate
.. //depot/projects/hammer/lib/libutil/kld.3#3 integrate
.. //depot/projects/hammer/release/doc/en_US.ISO8859-1/relnotes/article.sgml#19 integrate
.. //depot/projects/hammer/share/man/man9/sleepqueue.9#10 integrate
.. //depot/projects/hammer/sys/arm/conf/AVILA#5 integrate
.. //depot/projects/hammer/sys/arm/xscale/ixp425/IxNpeMicrocode.c#2 delete
.. //depot/projects/hammer/sys/arm/xscale/ixp425/files.ixp425#3 integrate
.. //depot/projects/hammer/sys/arm/xscale/ixp425/ixp425_npe.c#5 integrate
.. //depot/projects/hammer/sys/arm/xscale/ixp425/ixp425_npevar.h#4 integrate
.. //depot/projects/hammer/sys/contrib/dev/npe/IxNpeMicrocode.dat.uu#1 branch
.. //depot/projects/hammer/sys/contrib/dev/npe/LICENSE#1 branch
.. //depot/projects/hammer/tools/tools/nanobsd/nanobsd.sh#14 integrate
.. //depot/projects/hammer/usr.sbin/Makefile#81 integrate
.. //depot/projects/hammer/usr.sbin/wpa/wpa_supplicant/Makefile#10 integrate

Differences ...

==== //depot/projects/hammer/UPDATING#106 (text+ko) ====

@@ -21,6 +21,13 @@
 	developers choose to disable these features on build machines
 	to maximize performance.
 
+20070928:
+        The caching daemon (cached) was renamed to nscd. nscd.conf
+        configuration file should be used instead of cached.conf and
+        nscd_enable, nscd_pidfile and nscd_flags options should be used
+        instead of cached_enable, cached_pidfile and cached_flags in
+        rc.conf.
+
 20070704:
         The new IPsec code is now compiled in using the IPSEC option.  The
 	IPSEC option now requires "device crypto" be defined in your kernel
@@ -887,4 +894,4 @@
 Contact Warner Losh if you have any questions about your use of
 this document.
 
-$FreeBSD: src/UPDATING,v 1.503 2007/07/09 01:13:00 yongari Exp $
+$FreeBSD: src/UPDATING,v 1.504 2007/09/28 10:38:07 bushman Exp $

==== //depot/projects/hammer/etc/defaults/rc.conf#79 (text+ko) ====

@@ -15,7 +15,7 @@
 # For a more detailed explanation of all the rc.conf variables, please
 # refer to the rc.conf(5) manual page.
 #
-# $FreeBSD: src/etc/defaults/rc.conf,v 1.317 2007/09/06 21:00:48 mlaier Exp $
+# $FreeBSD: src/etc/defaults/rc.conf,v 1.318 2007/09/28 10:38:08 bushman Exp $
 
 ##############################################################
 ###  Important initial Boot-time options  ####################
@@ -495,7 +495,6 @@
 auditd_enable="NO"	# Run the audit daemon.
 auditd_program="/usr/sbin/auditd"	# Path to the audit daemon.
 auditd_flags=""		# Which options to pass to the audit daemon.
-cached_enable="NO"	# Run the nsswitch caching daemon.
 cron_enable="YES"	# Run the periodic job daemon.
 cron_program="/usr/sbin/cron"	# Which cron executable to run (if enabled).
 cron_dst="YES"		# Handle DST transitions intelligently (YES/NO)
@@ -503,6 +502,7 @@
 lpd_enable="NO"		# Run the line printer daemon.
 lpd_program="/usr/sbin/lpd"	# path to lpd, if you want a different one.
 lpd_flags=""		# Flags to lpd (if enabled).
+nscd_enable="NO"	# Run the nsswitch caching daemon.
 chkprintcap_enable="NO"	# Run chkprintcap(8) before running lpd.
 chkprintcap_flags="-d"	# Create missing directories by default.
 dumpdev="AUTO"		# Device to crashdump to (device name, AUTO, or NO).

==== //depot/projects/hammer/etc/rc.d/Makefile#55 (text+ko) ====

@@ -1,5 +1,5 @@
 # $NetBSD: Makefile,v 1.16 2001/01/14 15:37:22 minoura Exp $
-# $FreeBSD: src/etc/rc.d/Makefile,v 1.83 2007/09/07 15:44:09 mlaier Exp $
+# $FreeBSD: src/etc/rc.d/Makefile,v 1.84 2007/09/28 10:38:08 bushman Exp $
 
 .include <bsd.own.mk>
 
@@ -48,7 +48,7 @@
 .endif
 
 .if ${MK_NS_CACHING} != "no"
-FILES+= cached
+FILES+= nscd
 .endif
 
 FILESDIR=	/etc/rc.d

==== //depot/projects/hammer/etc/rc.d/nscd#4 (text+ko) ====

@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD: src/etc/rc.d/nscd,v 1.5 2007/09/27 12:30:12 bushman Exp $
+# $FreeBSD: src/etc/rc.d/nscd,v 1.6 2007/09/28 10:38:08 bushman Exp $
 #
 
 # PROVIDE: nscd
@@ -8,7 +8,7 @@
 # BEFORE: LOGIN
 
 #
-# Add the following lines to /etc/rc.conf to enable cached:
+# Add the following lines to /etc/rc.conf to enable nscd:
 #
 # nscd_enable="YES"
 #
@@ -24,9 +24,29 @@
 extra_commands="flush"
 flush_cmd="${command} -I all"
 
-nscd_enable=${nscd_enable:-"NO"}
-nscd_pidfile=${nscd_pidfile:-"/var/run/nscd.pid"}
-nscd_flags=${nscd_flags:-""}
+# usage: _nscd_set_option <option name> <default value>
+#
+_nscd_set_option() {
+	local _optname _defoptval _nscd_opt_val _cached_opt_val
+	_optname=$1
+	_defoptval=$2
+
+	_nscd_opt_val=$(eval "echo \$nscd_${_optname}")
+	_cached_opt_val=$(eval "echo \$cached_${_optname}")
+	
+	if [ -n "$_cached_opt_val" -a "$_nscd_opt_val" != "$_defoptval" ]; then
+		warn "You should use nscd_${_optname} instead of" \
+		    "cached_${_optname}"
+		setvar "nscd_${_optname}" "$_cached_opt_val"
+	else
+		setvar "nscd_${_optname}" "${_nscd_opt_val:-$_defoptval}"
+	fi
+}
+
 
 load_rc_config $name
+_nscd_set_option "enable" "NO"
+_nscd_set_option "pidfile" "/var/run/nscd.pid"
+_nscd_set_option "flags" ""
 run_rc_command "$1"
+

==== //depot/projects/hammer/lib/libc/gen/Makefile.inc#30 (text+ko) ====

@@ -1,5 +1,5 @@
 #	@(#)Makefile.inc	8.6 (Berkeley) 5/4/95
-# $FreeBSD: src/lib/libc/gen/Makefile.inc,v 1.127 2007/07/04 23:27:38 peter Exp $
+# $FreeBSD: src/lib/libc/gen/Makefile.inc,v 1.128 2007/09/28 02:22:56 scf Exp $
 
 # machine-independent gen sources
 .PATH: ${.CURDIR}/${MACHINE_ARCH}/gen ${.CURDIR}/gen
@@ -85,7 +85,8 @@
 	fpclassify.3 isnormal.3
 MLINKS+=frexp.3 frexpf.3 frexp.3 frexpl.3
 MLINKS+=fts.3 fts_children.3 fts.3 fts_close.3 fts.3 fts_open.3 \
-	fts.3 fts_read.3 fts.3 fts_set.3
+	fts.3 fts_read.3 fts.3 fts_set.3 fts.3 fts_set_clientptr.3 \
+	fts.3 fts_get_clientptr.3 fts.3 fts_get_stream.3
 MLINKS+=ftw.3 nftw.3
 MLINKS+=getcap.3 cgetcap.3 getcap.3 cgetclose.3 getcap.3 cgetent.3 \
 	getcap.3 cgetfirst.3 getcap.3 cgetmatch.3 getcap.3 cgetnext.3 \

==== //depot/projects/hammer/lib/libutil/expand_number.3#2 (text+ko) ====

@@ -23,7 +23,7 @@
 .\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 .\" SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/lib/libutil/expand_number.3,v 1.2 2007/09/05 14:25:16 pjd Exp $
+.\" $FreeBSD: src/lib/libutil/expand_number.3,v 1.3 2007/09/28 15:31:44 obrien Exp $
 .\"
 .Dd April 16, 2007
 .Dt EXPAND_NUMBER 3
@@ -83,4 +83,4 @@
 The
 .Fn expand_number
 function first appeared in
-.Fx 7.0 .
+.Fx 6.3 .

==== //depot/projects/hammer/lib/libutil/flopen.3#3 (text+ko) ====

@@ -23,7 +23,7 @@
 .\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 .\" SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/lib/libutil/flopen.3,v 1.5 2007/08/03 09:20:28 des Exp $
+.\" $FreeBSD: src/lib/libutil/flopen.3,v 1.6 2007/09/28 15:31:44 obrien Exp $
 .\"
 .Dd May 10, 2007
 .Dt FLOPEN 3
@@ -93,6 +93,11 @@
 .Xr errno 2 ,
 .Xr flock 2 ,
 .Xr open 2
+.Sh HISTORY
+The
+.Fn flopen
+function first appeared in
+.Fx 6.3 .
 .Sh AUTHORS
 .An -nosplit
 The

==== //depot/projects/hammer/lib/libutil/humanize_number.3#8 (text+ko) ====

@@ -1,5 +1,5 @@
 .\"	$NetBSD: humanize_number.3,v 1.4 2003/04/16 13:34:37 wiz Exp $
-.\" $FreeBSD: src/lib/libutil/humanize_number.3,v 1.11 2007/09/05 14:25:16 pjd Exp $
+.\" $FreeBSD: src/lib/libutil/humanize_number.3,v 1.12 2007/09/28 15:31:44 obrien Exp $
 .\"
 .\" Copyright (c) 1999, 2002 The NetBSD Foundation, Inc.
 .\" All rights reserved.
@@ -147,9 +147,11 @@
 .Dv HN_GETSCALE
 is specified, the prefix index number will be returned instead.
 .Sh SEE ALSO
-.Xr expand_number 3 
+.Xr expand_number 3
 .Sh HISTORY
 The
 .Fn humanize_number
 function first appeared in
-.Nx 2.0 .
+.Nx 2.0
+and then in
+.Fx 5.3 .

==== //depot/projects/hammer/lib/libutil/kld.3#3 (text) ====

@@ -23,7 +23,7 @@
 .\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 .\" SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/lib/libutil/kld.3,v 1.3 2006/09/30 10:34:13 ru Exp $
+.\" $FreeBSD: src/lib/libutil/kld.3,v 1.4 2007/09/28 15:31:44 obrien Exp $
 .\"
 .Dd February 18, 2006
 .Os
@@ -83,7 +83,7 @@
 and
 .Fn kld_load
 functions first appeared in
-.Fx 7.0 .
+.Fx 6.3 .
 .Sh AUTHORS
 The
 .Fn kld_isloaded

==== //depot/projects/hammer/release/doc/en_US.ISO8859-1/relnotes/article.sgml#19 (text+ko) ====

@@ -20,7 +20,7 @@
 
   <corpauthor>The &os; Project</corpauthor>
 
-  <pubdate>$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/article.sgml,v 1.1065 2007/09/15 05:37:31 jkoshy Exp $</pubdate>
+  <pubdate>$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/article.sgml,v 1.1067 2007/09/28 05:14:39 bmah Exp $</pubdate>
 
   <copyright>
     <year>2000</year>
@@ -1366,6 +1366,12 @@
 	utility has been added to control the behavior of disk devices
 	using this feature.</para>
 
+      <para>A new <literal>GEOM_VIRSTOR</literal> class has been added
+	to provide virtual storage devices of arbitrary size with
+	physical devices as backing store.  More information can be
+	found in the manual page for its control utility,
+	&man.gvirstor.8;.</para>
+
       <para>A new GEOM class <literal>GEOM_ZERO</literal> has been added.
 	It creates a very huge provider (41PB) <filename>/dev/gzero</filename>
 	and is mainly useful for performance testing.
@@ -1549,8 +1555,8 @@
       MIB described in RFC 2790.  &merged;</para>
 
     <para>The &man.camcontrol.8; utility now supports
-      a <command>readcap</command> to display the size of
-      devices.</para>
+      a <command>readcap</command> command to display the size of
+      devices. &merged;</para>
 
     <para>The &man.cmp.1; utility now supports an <option>-h</option>
       flag to compare the symbolic link itself rather than the
@@ -1902,7 +1908,7 @@
     <para>The objformat(1) utility and getobjformat(3) library (the
       last remnants of a.out object file support) have been removed.</para>
 
-    <para>The &man.pam.nologin.8; module no longer provides a
+    <para>The &man.pam.nologin.8; module no longer provides
       an authentication function; instead it now provides an account
       management function.  Third-party files in
       <filename>/usr/local/etc/pam.d</filename> may  

==== //depot/projects/hammer/share/man/man9/sleepqueue.9#10 (text+ko) ====

@@ -21,9 +21,9 @@
 .\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 .\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/share/man/man9/sleepqueue.9,v 1.15 2007/03/09 22:41:01 jhb Exp $
+.\" $FreeBSD: src/share/man/man9/sleepqueue.9,v 1.16 2007/09/28 11:13:40 gabor Exp $
 .\"
-.Dd March 10, 2004
+.Dd August 13, 2007
 .Dt SLEEPQUEUE 9
 .Os
 .Sh NAME
@@ -54,11 +54,11 @@
 .Ft void
 .Fn sleepq_abort "struct thread *td"
 .Ft void
-.Fn sleepq_add "void *wchan" "struct lock_object *lock" "const char *wmesg" "int flags"
+.Fn sleepq_add "void *wchan" "struct lock_object *lock" "const char *wmesg" "int flags" "int queue"
 .Ft struct sleepqueue *
 .Fn sleepq_alloc "void"
 .Ft void
-.Fn sleepq_broadcast "void *wchan" "int flags" "int pri"
+.Fn sleepq_broadcast "void *wchan" "int flags" "int pri" "int queue"
 .Ft int
 .Fn sleepq_calc_signal_retval "int sig"
 .Ft int
@@ -74,7 +74,7 @@
 .Ft void
 .Fn sleepq_remove "struct thread *td" "void *wchan"
 .Ft void
-.Fn sleepq_signal "void *wchan" "int flags" "int pri"
+.Fn sleepq_signal "void *wchan" "int flags" "int pri" "int queue"
 .Ft void
 .Fn sleepq_set_timeout "void *wchan" "int timo"
 .Ft int
@@ -91,6 +91,8 @@
 Each queue is associated with a specific wait channel when it is active,
 and only one queue may be associated with a wait channel at any given point
 in time.
+The implementation of each wait channel splits its sleepqueue into 2 sub-queues
+in order to enable some optimizations on threads' wakeups.
 An active queue holds a list of threads that are blocked on the associated
 wait channel.
 Threads that are not blocked on a wait channel have an associated inactive
@@ -172,6 +174,10 @@
 .Fa flags
 parameter is a bitmask consisting of the type of sleep queue being slept on
 and zero or more optional flags.
+The
+.Fa queue
+parameter specifies the sub-queue, in which the contending thread will be
+inserted.
 .Pp
 There are currently three types of sleep queues:
 .Pp
@@ -310,6 +316,9 @@
 must be locked by a prior call to
 .Fn sleepq_lock
 before calling any of these functions.
+The
+.Fa queue
+argument specifies the sub-queue, from which threads need to be woken up.
 .Pp
 A thread in an interruptible sleep can be interrupted by another thread via
 the

==== //depot/projects/hammer/sys/arm/conf/AVILA#5 (text+ko) ====

@@ -16,7 +16,7 @@
 # If you are in doubt as to the purpose or necessity of a line, check first 
 # in NOTES.
 #
-# $FreeBSD: src/sys/arm/conf/AVILA,v 1.5 2007/09/27 21:18:33 cognet Exp $
+# $FreeBSD: src/sys/arm/conf/AVILA,v 1.6 2007/09/27 22:39:49 cognet Exp $
 
 machine		arm
 ident		AVILA
@@ -104,6 +104,8 @@
 device		avila_ata	# Gateworks CF/IDE support
 
 device		npe		# Network Processing Engine
+device		npe_fw
+device		firmware
 device		qmgr		# Q Manager (required by npe)
 device		miibus		# NB: required by npe
 device		ether

==== //depot/projects/hammer/sys/arm/xscale/ixp425/files.ixp425#3 (text+ko) ====

@@ -1,4 +1,4 @@
-#$FreeBSD: src/sys/arm/xscale/ixp425/files.ixp425,v 1.3 2007/09/27 21:18:34 cognet Exp $
+#$FreeBSD: src/sys/arm/xscale/ixp425/files.ixp425,v 1.4 2007/09/27 22:39:49 cognet Exp $
 arm/arm/cpufunc_asm_xscale.S		standard
 arm/arm/irq_dispatch.S			standard
 arm/xscale/ixp425/ixp425.c		standard
@@ -17,8 +17,28 @@
 dev/uart/uart_dev_ns8250.c		optional	uart
 #
 # NPE-based Ethernet support (requires qmgr also).
+#
 arm/xscale/ixp425/if_npe.c		optional npe
 arm/xscale/ixp425/ixp425_npe.c		optional npe
+ixp425_npe_fw.c				optional npe_fw			\
+	compile-with	"${AWK} -f $S/tools/fw_stub.awk IxNpeMicrocode.dat:npe_fw -mnpe -c${.TARGET}" \
+	no-implicit-rule before-depend local				\
+	clean		"ixp425_npe_fw.c"
+#
+# NB: ld encodes the path in the binary symbols generated for the
+#     firmware image so link the file to the object directory to
+#     get known values for reference in the _fw.c file.
+#
+IxNpeMicrocode.fwo			optional npe_fw			\
+	dependency	"IxNpeMicrocode.dat"				\
+	compile-with	"${LD} -b binary -d -warn-common -r -d -o ${.TARGET} IxNpeMicrocode.dat" \
+	no-implicit-rule						\
+	clean		"IxNpeMicrocode.fwo"
+IxNpeMicrocode.dat			optional npe_fw			\
+	dependency	".PHONY"					\
+	compile-with	"uudecode < $S/contrib/dev/npe/IxNpeMicrocode.dat.uu" \
+	no-obj no-implicit-rule						\
+	clean		"IxNpeMicrocode.dat"
 #
 # Q-Manager support
 #

==== //depot/projects/hammer/sys/arm/xscale/ixp425/ixp425_npe.c#5 (text+ko) ====

@@ -57,7 +57,7 @@
  * SUCH DAMAGE.
 */
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/sys/arm/xscale/ixp425/ixp425_npe.c,v 1.7 2007/09/27 21:18:34 cognet Exp $");
+__FBSDID("$FreeBSD: src/sys/arm/xscale/ixp425/ixp425_npe.c,v 1.8 2007/09/27 22:39:49 cognet Exp $");
 
 /*
  * Intel XScale Network Processing Engine (NPE) support.
@@ -72,7 +72,10 @@
  * The code here basically replaces the npeDl and npeMh classes
  * in the Intel Access Library (IAL).
  *
- * NB: Microcode images comes from ixNpeMicrocode.c
+ * NB: Microcode images are loaded with firmware(9).  To
+ *     include microcode in a static kernel include the
+ *     ixpnpe_fw device.  Otherwise the firmware will be
+ *     automatically loaded from the filesystem.
  */
 #include <sys/param.h>
 #include <sys/systm.h>
@@ -84,7 +87,9 @@
 #include <sys/resource.h>
 #include <sys/rman.h>
 #include <sys/sysctl.h>
-#include <sys/endian.h>
+
+#include <sys/linker.h>
+#include <sys/firmware.h>
 
 #include <machine/bus.h>
 #include <machine/cpu.h>
@@ -97,8 +102,6 @@
 #include <arm/xscale/ixp425/ixp425_npereg.h>
 #include <arm/xscale/ixp425/ixp425_npevar.h>
 
-#include <arm/xscale/ixp425/IxNpeMicrocode.c>
-
 struct ixpnpe_softc {
     device_t		sc_dev;
     bus_space_tag_t	sc_iot;
@@ -419,6 +422,7 @@
 {
     uint32_t imageSize;
     const uint32_t *imageCodePtr;
+    const struct firmware *fw;
     int error;
 
     DPRINTF(sc->sc_dev, "load %s, imageId 0x%08x\n", imageName, imageId);
@@ -437,8 +441,12 @@
     if (error != 0)
 	return error;
 
-    error = npe_findimage(sc, IxNpeMicrocode_array, imageId,
-	&imageCodePtr, &imageSize);
+    fw = firmware_get(imageName);
+    if (fw == NULL)
+	return ENOENT;
+
+    /* Locate desired image in files w/ combined images */
+    error = npe_findimage(sc, fw->data, imageId, &imageCodePtr, &imageSize);
     if (error != 0)
 	goto done;
 
@@ -458,6 +466,7 @@
     sc->functionalityId = IX_NPEDL_FUNCTIONID_FROM_IMAGEID_GET(imageId);
     mtx_unlock(&sc->sc_mtx);
 done:
+    firmware_put(fw, FIRMWARE_UNLOAD);
     DPRINTF(sc->sc_dev, "%s: error %d\n", __func__, error);
     return error;
 }
@@ -501,8 +510,7 @@
 	return EINVAL;	/* XXX */
     }
     for (i = 0; i < blockSize; i++, npeMemAddress++) {
-	if (npe_ins_write(sc, npeMemAddress, htobe32(bp->data[i]), 
-	    verify) != 0) {
+	if (npe_ins_write(sc, npeMemAddress, bp->data[i], verify) != 0) {
 	    device_printf(sc->sc_dev, "NPE instruction write failed");
 	    return EIO;
 	}
@@ -524,8 +532,7 @@
 	return EINVAL;
     }
     for (i = 0; i < blockSize; i++, npeMemAddress++) {
-	if (npe_data_write(sc, npeMemAddress, htobe32(bp->data[i]), verify) 
-	    != 0) {
+	if (npe_data_write(sc, npeMemAddress, bp->data[i], verify) != 0) {
 	    device_printf(sc->sc_dev, "NPE data write failed\n");
 	    return EIO;
 	}
@@ -571,7 +578,7 @@
 	    break;
 	}
 
-	if (npe_ctx_reg_write(sc, cNum, reg, htobe32(regVal), verify) != 0) {
+	if (npe_ctx_reg_write(sc, cNum, reg, regVal, verify) != 0) {
 	    device_printf(sc->sc_dev, "write of state-info to NPE failed\n");
 	    error = EIO;
 	    break;

==== //depot/projects/hammer/sys/arm/xscale/ixp425/ixp425_npevar.h#4 (text+ko) ====

@@ -21,7 +21,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD: src/sys/arm/xscale/ixp425/ixp425_npevar.h,v 1.3 2007/09/27 21:18:34 cognet Exp $
+ * $FreeBSD: src/sys/arm/xscale/ixp425/ixp425_npevar.h,v 1.4 2007/09/27 22:39:49 cognet Exp $
  */
 
 #ifndef _IXP425_NPEVAR_H_
@@ -98,14 +98,6 @@
 #define	IXP425_NPE_B_IMAGEID	0x01000200
 #define	IXP425_NPE_C_IMAGEID	0x02000200
 
-/* For IxNpeMicrocode.c */
-#define IX_NPEDL_NPEIMAGE_NPEA_HSS_PORT_0_CHAN_PORT_0_BYPASS_ATM_MPHY_4_PORT
-#define IX_NPEDL_NPEIMAGE_NPEA_ETH
-#define IX_NPEDL_NPEIMAGE_NPEA_ETH_HSSCHAN_COEXIST
-#define IX_NPEDL_NPEIMAGE_NPEA_HSS_2_PORT_CHAN_PORT_0_BYPASS
-#define IX_NPEDL_NPEIMAGE_NPEB_ETH
-#define IX_NPEDL_NPEIMAGE_NPEC_ETH
-
 struct ixpnpe_softc;
 struct ixpnpe_softc *ixpnpe_attach(device_t);
 void	ixpnpe_detach(struct ixpnpe_softc *);

==== //depot/projects/hammer/tools/tools/nanobsd/nanobsd.sh#14 (text+ko) ====

@@ -24,7 +24,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD: src/tools/tools/nanobsd/nanobsd.sh,v 1.27 2007/06/12 11:35:29 phk Exp $
+# $FreeBSD: src/tools/tools/nanobsd/nanobsd.sh,v 1.28 2007/08/26 14:57:08 phk Exp $
 #
 
 set -e
@@ -83,6 +83,10 @@
 # Number of code images on media (1 or 2)
 NANO_IMAGES=2
 
+# 0 -> Leave second image all zeroes so it compresses better.
+# 1 -> Initialize second image with a copy of the first
+NANO_INIT_IMG2=1
+
 # Size of code file system in 512 bytes sectors
 # If zero, size will be as large as possible.
 NANO_CODESIZE=0
@@ -402,7 +406,7 @@
 	( cd ${MNT} && du -k ) > ${MAKEOBJDIRPREFIX}/_.du
 	umount ${MNT}
 
-	if [ $NANO_IMAGES -gt 1 ] ; then
+	if [ $NANO_IMAGES -gt 1 -a $NANO_INIT_IMG2 -gt 0 ] ; then
 		# Duplicate to second image (if present)
 		dd if=/dev/${MD}s1 of=/dev/${MD}s2 bs=64k
 		mount /dev/${MD}s2a ${MNT}
@@ -505,8 +509,11 @@
 		# Record how may we have now
 		have=`ls ${NANO_WORLDDIR}/var/db/pkg | wc -l`
 
-		# Attempt to install more
-		chroot ${NANO_WORLDDIR} sh -c 'pkg_add -F Pkg/*' || true
+		# Attempt to install more packages
+		# ...but no more than 200 at a time due to pkg_add's internal
+		# limitations.
+		chroot ${NANO_WORLDDIR} sh -c \
+			'ls Pkg/*tbz | xargs -n 200 pkg_add -F' || true
 
 		# See what that got us
 		now=`ls ${NANO_WORLDDIR}/var/db/pkg | wc -l`

==== //depot/projects/hammer/usr.sbin/Makefile#81 (text+ko) ====

@@ -1,5 +1,5 @@
 #	From: @(#)Makefile	5.20 (Berkeley) 6/12/93
-# $FreeBSD: src/usr.sbin/Makefile,v 1.371 2007/07/28 00:12:21 thompsa Exp $
+# $FreeBSD: src/usr.sbin/Makefile,v 1.372 2007/09/28 10:38:08 bushman Exp $
 
 .include <bsd.own.mk>
 
@@ -27,7 +27,6 @@
 	bsnmpd \
 	${_btxld} \
 	burncd \
-	${_cached} \
 	cdcontrol \
 	chkgrp \
 	chown \
@@ -109,6 +108,7 @@
 	ngctl \
 	nghook \
 	nologin \
+	${_nscd} \
 	ntp \
 	${_nvram} \
 	${_ofwdump} \
@@ -275,7 +275,7 @@
 .if ${MK_NS_CACHING} != "no"
 .if ${MK_LIBTHR} != "no" || \
     (${MACHINE_ARCH} != "sparc64" && ${MK_LIBPTHREAD} != "no")
-_cached=	cached
+_nscd=		nscd
 .endif
 .endif
 

==== //depot/projects/hammer/usr.sbin/wpa/wpa_supplicant/Makefile#10 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/usr.sbin/wpa/wpa_supplicant/Makefile,v 1.10 2007/09/25 16:08:16 sam Exp $
+# $FreeBSD: src/usr.sbin/wpa/wpa_supplicant/Makefile,v 1.11 2007/09/28 15:52:28 sam Exp $
 
 .include <bsd.own.mk>
 
@@ -111,6 +111,9 @@
 LDADD+= -lssl -lcrypto
 .else
 CFLAGS+= -DEAP_TLS_NONE
+CFLAGS+= -DINTERNAL_AES
+CFLAGS+= -DINTERNAL_SHA1
+CFLAGS+= -DINTERNAL_MD5
 SRCS+=	tls_none.c
 .endif
 


More information about the p4-projects mailing list